View Issue Details

IDProjectCategoryView StatusLast Update
0001058savapage-core[All Projects] Generalpublic2019-08-05 16:41
ReporterrijkrAssigned Torijkr 
PriorityurgentSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformJava 11OSOS Version
Product Version1.0.0 
Target Version1.1.0Fixed in Version1.1.0 
Summary0001058: Add Java 11 support
DescriptionIST-1: SavaPage fails to start on Java 11 with error message "module java.xml.bind not found".
SOLL-1: Upgrade hibernate-c3p0 and hibernate-entitymanager to 5.4.2.Final, and hibernate-validator to 6.0.16.Final. This will resolve to the required jaxb dependencies, including java.xml.bind (jaxb-api).

IST-2: When webapp.admin.dashboard.show-tech-info == Y a java.lang.reflect.InaccessibleObjectException occurs: Unable to make public long com.sun.management.internal.OperatingSystemImpl.getCommittedVirtualMemorySize() accessible: module jdk.management does not "opens com.sun.management.internal" to unnamed module
SOLL-2: Add following argument to java command:
--add-opens jdk.management/com.sun.management.internal=ALL-UNNAMED
Additional Informationhttp://in.relation.to/2018/09/13/using-hibernate-orm-with-jdk11/
TagsNo tags attached.

Relationships

related to 0000953 closedrijkr savapage-server Add Java 9 support 

Activities

rijkr

2019-08-05 16:41

administrator   ~0000135

release 1.1.0

Issue History

Date Modified Username Field Change
2019-05-13 16:58 rijkr New Issue
2019-05-13 16:58 rijkr Status new => assigned
2019-05-13 16:58 rijkr Assigned To => rijkr
2019-05-13 16:59 rijkr Additional Information Updated View Revisions
2019-05-13 17:01 rijkr Relationship added related to 0000953
2019-05-17 10:17 rijkr Status assigned => resolved
2019-05-17 10:17 rijkr Resolution open => fixed
2019-05-17 10:17 rijkr Fixed in Version => 1.1.0
2019-06-11 09:47 rijkr Description Updated View Revisions
2019-08-05 16:41 rijkr Status resolved => closed
2019-08-05 16:41 rijkr Note Added: 0000135